# SPDX-License-Identifier: Apache-2.0

from grpc_gen.orchestrator_pb2 import ListCloudServicesRequest, RegisterCloudServiceRequest

def create_list_cloud_services_request(page_size, page_token, order_by, asc):
    lcsr = ListCloudServicesRequest()
    lcsr.page_size = int(page_size)
    lcsr.page_token = str(page_token)
    lcsr.order_by = str(order_by)
    lcsr.asc = bool(asc)

    return lcsr

def create_register_cloud_service_request(id, name, description = None, catalogs_in_scope = None, configured_metrics = None):
    rcsr = RegisterCloudServiceRequest()
    rcsr.cloud_service.id = str(id)
    rcsr.cloud_service.name = str(name)
    rcsr.cloud_service.description = str(description)
    #rcsr.catalogs_in_scope = catalogs_in_scope
    #rcsr.configured_metrics = configured_metrics

    return rcsr
