# Generated by the gRPC Python protocol compiler plugin. DO NOT EDIT!
"""Client and server classes corresponding to protobuf-defined services."""
import grpc

import grpc_gen.assessment_pb2 as assessment__pb2
from google.protobuf import empty_pb2 as google_dot_protobuf_dot_empty__pb2


class AssessmentStub(object):
    """Representing the link between orchestrator and discovery: Assessing evidences
    from discovery and sending results to orchestrator
    """

    def __init__(self, channel):
        """Constructor.

        Args:
            channel: A grpc.Channel.
        """
        self.CalculateCompliance = channel.unary_unary(
                '/clouditor.assessment.v1.Assessment/CalculateCompliance',
                request_serializer=assessment__pb2.CalculateComplianceRequest.SerializeToString,
                response_deserializer=google_dot_protobuf_dot_empty__pb2.Empty.FromString,
                )
        self.AssessEvidence = channel.unary_unary(
                '/clouditor.assessment.v1.Assessment/AssessEvidence',
                request_serializer=assessment__pb2.AssessEvidenceRequest.SerializeToString,
                response_deserializer=assessment__pb2.AssessEvidenceResponse.FromString,
                )
        self.AssessEvidences = channel.stream_stream(
                '/clouditor.assessment.v1.Assessment/AssessEvidences',
                request_serializer=assessment__pb2.AssessEvidenceRequest.SerializeToString,
                response_deserializer=assessment__pb2.AssessEvidencesResponse.FromString,
                )
        self.ListAssessmentResults = channel.unary_unary(
                '/clouditor.assessment.v1.Assessment/ListAssessmentResults',
                request_serializer=assessment__pb2.ListAssessmentResultsRequest.SerializeToString,
                response_deserializer=assessment__pb2.ListAssessmentResultsResponse.FromString,
                )


class AssessmentServicer(object):
    """Representing the link between orchestrator and discovery: Assessing evidences
    from discovery and sending results to orchestrator
    """

    def CalculateCompliance(self, request, context):
        """Triggers the compliance calculation. Part of the private API. Not exposed
        as REST.
        """
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def AssessEvidence(self, request, context):
        """Assesses the evidence sent by the discovery. Part of the public API, also
        exposed as REST.
        """
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def AssessEvidences(self, request_iterator, context):
        """Assesses stream of evidences sent by the discovery and returns a response
        stream. Part of the public API. Not exposed as REST.
        """
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def ListAssessmentResults(self, request, context):
        """List all assessment results of all cloud services the requester can access.
        Optionally, further filters of specific cloud services, metrics or the
        compliance status can be specified.

        Part of the public API, also exposed as REST.
        """
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')


def add_AssessmentServicer_to_server(servicer, server):
    rpc_method_handlers = {
            'CalculateCompliance': grpc.unary_unary_rpc_method_handler(
                    servicer.CalculateCompliance,
                    request_deserializer=assessment__pb2.CalculateComplianceRequest.FromString,
                    response_serializer=google_dot_protobuf_dot_empty__pb2.Empty.SerializeToString,
            ),
            'AssessEvidence': grpc.unary_unary_rpc_method_handler(
                    servicer.AssessEvidence,
                    request_deserializer=assessment__pb2.AssessEvidenceRequest.FromString,
                    response_serializer=assessment__pb2.AssessEvidenceResponse.SerializeToString,
            ),
            'AssessEvidences': grpc.stream_stream_rpc_method_handler(
                    servicer.AssessEvidences,
                    request_deserializer=assessment__pb2.AssessEvidenceRequest.FromString,
                    response_serializer=assessment__pb2.AssessEvidencesResponse.SerializeToString,
            ),
            'ListAssessmentResults': grpc.unary_unary_rpc_method_handler(
                    servicer.ListAssessmentResults,
                    request_deserializer=assessment__pb2.ListAssessmentResultsRequest.FromString,
                    response_serializer=assessment__pb2.ListAssessmentResultsResponse.SerializeToString,
            ),
    }
    generic_handler = grpc.method_handlers_generic_handler(
            'clouditor.assessment.v1.Assessment', rpc_method_handlers)
    server.add_generic_rpc_handlers((generic_handler,))


 # This class is part of an EXPERIMENTAL API.
class Assessment(object):
    """Representing the link between orchestrator and discovery: Assessing evidences
    from discovery and sending results to orchestrator
    """

    @staticmethod
    def CalculateCompliance(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/clouditor.assessment.v1.Assessment/CalculateCompliance',
            assessment__pb2.CalculateComplianceRequest.SerializeToString,
            google_dot_protobuf_dot_empty__pb2.Empty.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def AssessEvidence(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/clouditor.assessment.v1.Assessment/AssessEvidence',
            assessment__pb2.AssessEvidenceRequest.SerializeToString,
            assessment__pb2.AssessEvidenceResponse.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def AssessEvidences(request_iterator,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.stream_stream(request_iterator, target, '/clouditor.assessment.v1.Assessment/AssessEvidences',
            assessment__pb2.AssessEvidenceRequest.SerializeToString,
            assessment__pb2.AssessEvidencesResponse.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def ListAssessmentResults(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/clouditor.assessment.v1.Assessment/ListAssessmentResults',
            assessment__pb2.ListAssessmentResultsRequest.SerializeToString,
            assessment__pb2.ListAssessmentResultsResponse.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)
