#!/bin/bash
# SPDX-License-Identifier: Apache-2.0

logs=$(docker logs $SERVICE 2>&1)
redis1="# oO0OoO0OoO0Oo Redis is starting oO0OoO0OoO0Oo"
redis2="Ready to accept connections"
scheduler="Registering birth"
worker1="Worker rq:worker:"
worker2="Listening on "
wazuh_error="Exception caught in Wazuh Evidence Collector run_collector()"
vat_error="Exception caught in VAT Evidence Collector create_new_scan()"

if ! [[ $logs =~ $redis1 ]]
    then
        echo "Redis server not started" 1>&2
        exit 1
fi

if ! [[ $logs =~ $redis2 ]]
    then
        echo "Redis server not started" 1>&2
        exit 1
fi

if ! [[ $logs =~ $scheduler ]]
    then
        echo "Redis queue scheduler not started" 1>&2
        exit 1
fi

if ! [[ $logs =~ $worker1 ]]
    then
        echo "Redis worker not started" 1>&2
        exit 1
fi

if ! [[ $logs =~ $worker2 ]]
    then
        echo "Redis worker not started" 1>&2
        exit 1
fi

if ! [[ $logs =~ $schedule_wazuh ]]
    then
        echo "Failed to schedule Wazuh evidence collection job" 1>&2
        exit 1
fi

if ! [[ $logs =~ $schedule_vat ]]
    then
        echo "Failed to schedule VAT evidence collection job" 1>&2
        exit 1
fi
