# SPDX-License-Identifier: Apache-2.0

import random

class DemoChecker:
    
    def __init__(self):
        self.result = bool(random.getrandbits(1))
    
    def __body(self, name):
        return {name: self.result}
    
    # Check if syscheck enabled
    def check_syscheck(self, *_):
        body = self.__body("syscheck")

        return body, self.result
    
    # Check if rootcheck enabled
    def check_rootcheck(self, *_):
        body = self.__body("rootcheck")

        return body, self.result
    
    # Check if there's at least one valid alerting service
    def check_alert_integrations(self, *_):
        body = self.__body("alerting_services")

        return body, self.result
    
    # Check for VirusTotal integration
    def check_virus_total_integration(self, *_):
        body = self.__body("virustotal_integration")
        
        return body, self.result
    
    # Check if ClamAV daemon process running
    def check_clamd_process(self, *_):
        body = self.__body("clamd_process")
        
        return body, self.result
    
    # Check ClamAV logs in Elasticsearch
    def check_clamd_logs_elastic(self, *_):
        body = self.__body("clamd_logs")
    
        return body, self.result

    # Check Wazuh security events
    def check_security_events(self, *_):    
        return random.randint(0,50)
